[MERGED] libosmocore[master]: osmo-release.sh: Exit with error if no description for new c...

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Harald Welte gerrit-no-reply at lists.osmocom.org
Wed May 2 21:30:31 UTC 2018


Harald Welte has submitted this change and it was merged.

Change subject: osmo-release.sh: Exit with error if no description for new changelog entry provided
......................................................................


osmo-release.sh: Exit with error if no description for new changelog entry provided

If no line is provided, then the xargs line doesn't call dch (due to -r
param) and as a result no new version entry is created in the log, and
the old one is updated.

Change-Id: I17894f669e6d3d6d31203a4522dce7fa01da323f
---
M osmo-release.sh
1 file changed, 5 insertions(+), 0 deletions(-)

Approvals:
  Harald Welte: Looks good to me, approved
  Jenkins Builder: Verified



diff --git a/osmo-release.sh b/osmo-release.sh
index fbaf63d..7ae4da0 100755
--- a/osmo-release.sh
+++ b/osmo-release.sh
@@ -32,6 +32,11 @@
 	echo "You should NOT be doing this unless you've read and understood following article:"
 	echo "https://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html#Updating-version-info"
 	grep -v '#' TODO-RELEASE | sed 's/\t\+/: /g' > TODO-RELEASE.entries
+	if [ "$(wc -l <TODO-RELEASE.entries 2>/dev/null)" -eq "0" ]; then
+		rm TODO-RELEASE.entries
+		echo "TODO-RELEASE must contain at least one line with change descriptions"
+		exit 1
+	fi
 	grep '#' TODO-RELEASE > TODO-RELEASE.clean
 	mv TODO-RELEASE.clean TODO-RELEASE
 	if [ "z$MAKEMOD" = "z" ]; then

-- 
To view, visit https://gerrit.osmocom.org/7969
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: merged
Gerrit-Change-Id: I17894f669e6d3d6d31203a4522dce7fa01da323f
Gerrit-PatchSet: 2
Gerrit-Project: libosmocore
Gerrit-Branch: master
Gerrit-Owner: Pau Espin Pedrol <pespin at sysmocom.de>
Gerrit-Reviewer: Harald Welte <laforge at gnumonks.org>
Gerrit-Reviewer: Jenkins Builder



More information about the gerrit-log mailing list